/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	SceneObj.h
*摘要：		游戏主地图类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include "PublicFun.h"

class SceneObj
{

public:
	int PubInit(int idx);
	void Init(int num,int x,int y);
	int KeyDown(WPARAM KeyCode);
	void Show(WPARAM KeyCode);
	void SetStep(int faceto,int step);
	void Move();//20160228 用于场景对象图片激活

	int ax;//绝对坐标
	int ay;

	int x;//显示坐标
	int y;
	int picnum;
	int steptmp;
	int roleId;
	int showFlag; 
	
	//角色类型 编号 脚本 动作 图片 00 00 ff ff 姓名（6） 图片 魔法链
	int no;
	int step;
	int action;//0—停止状态，不作运动驱动；4—激活状态，只换图片，不改变位置

	int picno;//picno指图片号 picnum指使用图片的分图片号
	char name[12+1];
	int magiclist;
};